loci.formats.out

## Class PyramidOMETiffWriter

- java.lang.Object
- - loci.formats.FormatHandler
  - - loci.formats.FormatWriter
    - - loci.formats.out.TiffWriter
      - - loci.formats.out.OMETiffWriter
        - - loci.formats.out.PyramidOMETiffWriter

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, ICompressedTileWriter, IFormatHandler, IFormatWriter, IMetadataConfigurable, IPyramidHandler

      public class PyramidOMETiffWriter
      extends OMETiffWriter

  PyramidOMETiffWriter is the file format writer for pyramid OME-TIFF files.

- - ### Field Summary

    - ### Fields inherited from class loci.formats.out.OMETiffWriter

      `COMPANION_KEY, CREATOR_KEY`

    - ### Fields inherited from class loci.formats.out.TiffWriter

      `canDetectBigTiff, checkParams, COMPRESSION_J2K, COMPRESSION_J2K_LOSSY, COMPRESSION_JPEG, COMPRESSION_LZW, COMPRESSION_UNCOMPRESSED, COMPRESSION_ZLIB, in, isBigTiff, tiffSaver, tileSizeX, tileSizeY`

    - ### Fields inherited from class loci.formats.FormatWriter

      `cm, compression, compressionTypes, fps, initialized, interleaved, metadataRetrieve, options, out, resolution, resolutionData, sequential, series, validBits`

    - ### Fields inherited from class loci.formats.FormatHandler

      `COMPRESSION_SUFFIXES, currentId, format, LOGGER, metadataOptions, suffixes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyramidOMETiffWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isThisType(java.lang.String name)` Checks if a file matches the type of this format handler.
    `protected IFD` | `makeIFD()`
    `void` | `saveBytes(int no, byte[] buf, IFD ifd, int x, int y, int w, int h)` Saves the given image to the specified series in the current file.

    - ### Methods inherited from class loci.formats.out.OMETiffWriter

      `getCompanion, preserveCreator, saveBytes, saveCompressedBytes, setId`

    - ### Methods inherited from class loci.formats.out.TiffWriter

      `canDoStacks, createInputStream, createTiffSaver, getCodec, getPixelTypes, getPlaneCount, getTileSizeX, getTileSizeY, prepareToWriteImage, saveBytes, setBigTiff, setCanDetectBigTiff, setTileSizeX, setTileSizeY, setupTiffSaver`

    - ### Methods inherited from class loci.formats.FormatWriter

      `changeOutputFile, checkParams, createOutputStream, getCodecOptions, getColorModel, getCompression, getCompressionTypes, getFramesPerSecond, getMetadataRetrieve, getPixelTypes, getPlaneCount, getResolution, getResolutionCount, getResolutions, getSamplesPerPixel, getSamplesPerPixel, getSeries, getSizeX, getSizeY, hasResolutions, isFullPlane, isInterleaved, isSupportedType, saveBytes, saveBytes, savePlane, savePlane, savePlane, seekToPlaneOffset, setCodecOptions, setColorModel, setCompression, setFramesPerSecond, setInterleaved, setMetadataRetrieve, setResolution, setResolutions, setSeries, setValidBitsPerPixel, setWriteSequentially`

    - ### Methods inherited from class loci.formats.FormatHandler

      `checkSuffix, checkSuffix, getFormat, getMetadataOptions, getNativeDataType, getSuffixes, getSupportedMetadataLevels, setMetadataOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface loci.formats.IFormatHandler

      `getFormat, getNativeDataType, getSuffixes`

    - ### Methods inherited from interface loci.formats.IMetadataConfigurable

      `getMetadataOptions, getSupportedMetadataLevels, setMetadataOptions`

- - ### Constructor Detail

    - #### PyramidOMETiffWriter

          public PyramidOMETiffWriter()

  - ### Method Detail

    - #### isThisType

          public boolean isThisType(java.lang.String name)

      Description copied from class: `FormatHandler`
      Checks if a file matches the type of this format handler. The default implementation checks filename suffixes against those known for this format.
      Specified by:
        `isThisType` in interface `IFormatHandler`
      Overrides:
        `isThisType` in class `FormatHandler`

    - #### makeIFD

          protected IFD makeIFD()
                         throws FormatException,
                                java.io.IOException

      Overrides:
        `makeIFD` in class `TiffWriter`
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### saveBytes

          public void saveBytes(int no,
                                byte[] buf,
                                IFD ifd,
                                int x,
                                int y,
                                int w,
                                int h)
                         throws FormatException,
                                java.io.IOException

      Description copied from class: `TiffWriter`
      Saves the given image to the specified series in the current file. The IFD hashtable allows specification of TIFF parameters such as bit depth, compression and units. Use one IFD instance per plane.
      Overrides:
        `saveBytes` in class `OMETiffWriter`
      Throws:
        `FormatException`
        `java.io.IOException`
      See Also:
        `IFormatWriter.saveBytes(int, byte[], int, int, int, int)`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `OMETiffWriter`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment